Subject: Re: [PATCH 2.6]: Make packet scheduler clock source configurable

From: Patrick McHardy <[email-masked]>
Date: Fri, 23 Jul 2004 01:36:22 +0200

David S. Miller wrote:
> This looks great.
> 
> As you mention some platforms return zero, for example sparc32,
> for get_cycles().
> 
> I suggest we just expand the dependency list for NET_SCH_CLK_TSC
> to include SPARC64 PPC64 and perhaps some other easy to verify
> as having a working get_cycles() implementation.  I believe that
> as long as it increments at some rate >= jiffies, the psched
> calibration will get things into a working state.

It needs to increment at slightly above 1Mhz, otherwise delay will
be zero after this division and everything will fall apart:
delay /= rdelay.

> A lot of patches have been posted in this area and I'm losing
> track of what to apply first etc.  Can you repost your work
> one change at a time?  Thanks.

The following two patches remove some dead timer code and
change PSCHED_GET_TIME to use get_cycles. I'm going to send
the configurable clock-source patch tomorrow after checking
the arches.

Regards
Patrick